- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
GAuth::SaslServerPam Class Reference

An implementation of the SaslServer interface using PAM as the authentication mechanism. More...

`#include <gsaslserverpam.h>`

Inheritance diagram for GAuth::SaslServerPam:

## Public Member Functions
| SaslServerPam (const Secrets &, bool ignored, bool force_one_mechanism)
| Constructor. More...
virtual | ~SaslServerPam ()
| Destructor. More...
virtual bool | requiresEncryption () const
| Final override from GAuth::SaslServer. More...
virtual bool | active () const
| Final override from GAuth::SaslServer. More...
virtual std::string | mechanisms (char sep= ' ') const
| Final override from GAuth::SaslServer. More...
virtual bool | init (const std::string &mechanism)
| Final override from GAuth::SaslServer. More...
virtual std::string | mechanism () const
| Final override from GAuth::SaslServer. More...
virtual bool | mustChallenge () const
| Final override from GAuth::SaslServer. More...
virtual std::string | initialChallenge () const
| Final override from GAuth::SaslServer. More...
virtual std::string | apply (const std::string &response, bool &done)
| Final override from GAuth::SaslServer. More...
virtual bool | authenticated () const
| Final override from GAuth::SaslServer. More...
virtual std::string | id () const
| Final override from GAuth::SaslServer. More...
virtual bool | trusted (GNet::Address) const
| Final override from GAuth::SaslServer. More...
Public Member Functions inherited from GAuth::SaslServer
virtual | ~SaslServer ()
| Destructor. More...

## Detailed Description

An implementation of the SaslServer interface using PAM as the authentication mechanism.

This class tries to match up the PAM interface with the SASL server interface. The match is not good; only single-challenge PAM mechanisms are supported, the PAM delay feature is not implemented, and PAM sessions are not part of the SASL interface.

Definition at line 53 of file gsaslserverpam.h.

## Constructor & Destructor Documentation

GAuth::SaslServerPam::SaslServerPam | ( | const Secrets & | secrets,
|  | bool | ignored,
|  | bool | force_one_mechanism
| ) |  |

Constructor.

Definition at line 197 of file gsaslserverpam.cpp.

GAuth::SaslServerPam::~SaslServerPam | ( |  | ) |
| virtual

Destructor.

Definition at line 202 of file gsaslserverpam.cpp.

## Member Function Documentation

bool GAuth::SaslServerPam::active | ( |  | ) | const
| virtual

Final override from GAuth::SaslServer.

Implements GAuth::SaslServer.

Definition at line 222 of file gsaslserverpam.cpp.

std::string GAuth::SaslServerPam::apply | ( | const std::string & | response,
|  | bool & | done
| ) |  |
| virtual

Final override from GAuth::SaslServer.

Implements GAuth::SaslServer.

Definition at line 242 of file gsaslserverpam.cpp.

bool GAuth::SaslServerPam::authenticated | ( |  | ) | const
| virtual

Final override from GAuth::SaslServer.

Implements GAuth::SaslServer.

Definition at line 247 of file gsaslserverpam.cpp.

std::string GAuth::SaslServerPam::id | ( |  | ) | const
| virtual

Final override from GAuth::SaslServer.

Implements GAuth::SaslServer.

Definition at line 252 of file gsaslserverpam.cpp.

bool GAuth::SaslServerPam::init | ( | const std::string & | mechanism | ) |
| virtual

Final override from GAuth::SaslServer.

Implements GAuth::SaslServer.

Definition at line 232 of file gsaslserverpam.cpp.

std::string GAuth::SaslServerPam::initialChallenge | ( |  | ) | const
| virtual

Final override from GAuth::SaslServer.

Implements GAuth::SaslServer.

Definition at line 237 of file gsaslserverpam.cpp.

std::string GAuth::SaslServerPam::mechanism | ( |  | ) | const
| virtual

Final override from GAuth::SaslServer.

Implements GAuth::SaslServer.

Definition at line 212 of file gsaslserverpam.cpp.

std::string GAuth::SaslServerPam::mechanisms | ( | char | sep = `' '` | ) | const
| virtual

Final override from GAuth::SaslServer.

Implements GAuth::SaslServer.

Definition at line 207 of file gsaslserverpam.cpp.

bool GAuth::SaslServerPam::mustChallenge | ( |  | ) | const
| virtual

Final override from GAuth::SaslServer.

Implements GAuth::SaslServer.

Definition at line 227 of file gsaslserverpam.cpp.

bool GAuth::SaslServerPam::requiresEncryption | ( |  | ) | const
| virtual

Final override from GAuth::SaslServer.

Implements GAuth::SaslServer.

Definition at line 257 of file gsaslserverpam.cpp.

bool GAuth::SaslServerPam::trusted | ( | GNet::Address |  | ) | const
| virtual

Final override from GAuth::SaslServer.

Implements GAuth::SaslServer.

Definition at line 217 of file gsaslserverpam.cpp.

The documentation for this class was generated from the following files:

- gsaslserverpam.h
- gsaslserverpam.cpp